package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.result.SysCustomRoleResult;
import com.qmth.sop.business.entity.SysCustomRole;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 客户角色配置表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-10 08:23:58
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysCustomRoleMapper extends BaseMapper<SysCustomRole> {


    List<SysCustomRoleResult> getList(@Param("customId") Long customId);
}