package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.result.TBDelayWarnResult;
import com.qmth.sop.business.entity.TBDelayWarn;
import com.qmth.sop.common.enums.DelayWarnStatusEnum;
import com.qmth.sop.common.enums.DelayWarnTypeEnum;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Param;
import java.util.Map;

/**
 * 延期预警跟进表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-08 16:02:21
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface TBDelayWarnMapper extends BaseMapper<TBDelayWarn> {

	/**
	 * 查询列表
	 * @param iPage
	 * @return
	 */
    IPage<TBDelayWarnResult> query(IPage<Map> iPage, @Param("type") String type, @Param("status") String status, @Param("serviceId")  Long serviceId, @Param("custom")  String custom, @Param("fieldObj")  String fieldObj, @Param("sopNo")  String sopNo, @Param("startTime")  Long startTime, @Param("endTime")  Long endTime,@Param("id") Long id);

}