package com.qmth.sop.common.enums;

/**
 * @Description: 发送消息枚举类
 * @Author: CaoZixuan
 * @Date: 2021-04-28
 */
public enum MessageEnum {

    NOTICE_OF_AUDIT_COPY_USER("审核抄送生成通知", "${userName}您好，${courseName}相关命题任务已经提交，由${auditUserNames}负责审核，请您查看！");

    MessageEnum(String name, String template) {
        this.name = name;
        this.template = template;
    }

    private final String name;
    private final String template;
}
