package com.qmth.sop.task.enums;

import java.util.Objects;

/**
 * @Description: job enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
public enum JobEnum {

    REDIS_MQ_JOB("学校信息同步定时任务"),

    REDIS_MQ_JOB_GROUP("学校信息同步定时任务组");

    private String title;

    private JobEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        for (JobEnum e : JobEnum.values()) {
            if (Objects.equals(value.trim(), e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
