package com.qmth.sop.task.start;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 * @Description: 服务启动时初始化运行，哪个微服务模块需要则拿此模版去用
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/3
 */
@Component
public class StartRunning implements CommandLineRunner {
    private final static Logger log = LoggerFactory.getLogger(StartRunning.class);

    @Override
    public void run(String... args) throws Exception {
        log.info("服务器启动时执行 start");

//        log.info("增加重新生成pdf定时任务 start");
//        Map taskJobMap = new HashMap();
//        schoolJobMap.computeIfAbsent("name", v -> ResetCreatePdfJob.class.getName());
//        quartzService.deleteJob(JobEnum.RESET_CREATE_PDF_JOB.name(), JobEnum.RESET_CREATE_PDF_JOB_GROUP.name());
//         //每天0点定时任务
//        quartzService.addJob(ResetCreatePdfJob.class, JobEnum.RESET_CREATE_PDF_JOB.name(), JobEnum.RESET_CREATE_PDF_JOB_GROUP.name(), "0 0/1 * * * ?", taskJobMap);
//        log.info("增加重新生成pdf定时任务 end");

        log.info("服务器启动时执行 end");
    }
}
