package com.qmth.sop.business.bean.result;

import com.qmth.sop.common.enums.DelayWarnStatusEnum;
import com.qmth.sop.common.enums.MessageTypeEnum;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>

 * </p>
 *
 * @author dhshu
 * @since 2023-08-01
 */

public class SysMessageWorkResult implements Serializable {

    @ApiModelProperty(value = "消息id")
    private long id;

    @ApiModelProperty(value = "消息类型")
    private MessageTypeEnum messageType;


    @ApiModelProperty(value = "消息内容")
    private String content;

    @ApiModelProperty(value = "发起人")
    private String formUser;

    @ApiModelProperty(value = "服务单元")
    private String service;

    @ApiModelProperty(value = "客户名称")
    private String custom;

    @ApiModelProperty(value = "客户类型")
    private ProductTypeEnum customType;

    @ApiModelProperty(value = "发送时间")
    private Long sendTime;

    @ApiModelProperty(value = "消息查阅时间")
    private Long receiveTime;


    @ApiModelProperty(value = "已读状态")
    private Boolean readStatus;

    @ApiModelProperty(value = "超时状态")
    private DelayWarnStatusEnum delayStatus;

    @ApiModelProperty(value = "超时时间")
    private Long warnTime;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public MessageTypeEnum getMessageType() {
        return messageType;
    }

    public void setMessageType(MessageTypeEnum messageType) {
        this.messageType = messageType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getFormUser() {
        return formUser;
    }

    public void setFormUser(String formUser) {
        this.formUser = formUser;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getCustom() {
        return custom;
    }

    public void setCustom(String custom) {
        this.custom = custom;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public Long getSendTime() {
        return sendTime;
    }

    public void setSendTime(Long sendTime) {
        this.sendTime = sendTime;
    }

    public Long getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(Long receiveTime) {
        this.receiveTime = receiveTime;
    }


    public Boolean getReadStatus() {
        return readStatus;
    }

    public void setReadStatus(Boolean readStatus) {
        this.readStatus = readStatus;
    }

    public DelayWarnStatusEnum getDelayStatus() {
        return delayStatus;
    }

    public void setDelayStatus(DelayWarnStatusEnum delayStatus) {
        this.delayStatus = delayStatus;
    }

    public Long getWarnTime() {
        return warnTime;
    }

    public void setWarnTime(Long warnTime) {
        this.warnTime = warnTime;
    }


}
