package com.qmth.sop.business.bean.result;

import com.qmth.sop.business.entity.TBQualityProblemApply;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class TBQualityProblemApplyResult extends TBQualityProblemApply implements Serializable {

    @ApiModelProperty(value = "责任人")
    private String userName;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "客户名称")
    private String custom;

    @ApiModelProperty(value = "客户类型")
    private ProductTypeEnum customType;

    @ApiModelProperty(value = "实施产品")
    private ProductTypeEnum sopType;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getCustom() {
        return custom;
    }

    public void setCustom(String custom) {
        this.custom = custom;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public ProductTypeEnum getSopType() {
        return sopType;
    }

    public void setSopType(ProductTypeEnum sopType) {
        this.sopType = sopType;
    }
}
