package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.sop.business.bean.result.SysDeviceResult;
import com.qmth.sop.business.entity.SysDevice;
import org.apache.ibatis.annotations.Param;
import java.util.Map;

/**
 * 设备配置表 Mapper 接口.
 * 
 * @author: shudonghui
 * @date: 2023-08-02 14:21:11
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface SysDeviceMapper extends BaseMapper<SysDevice> {

	/**
	 * 查询列表
	 * @param iPage
	 * @return
	 */

    <T> IPage<SysDeviceResult> query(Page<T> iPage, @Param("query") String query);
}