package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.TBDingCountQueryResult;
import com.qmth.sop.business.bean.result.TBDingCountResult;
import com.qmth.sop.business.entity.TBDing;

import java.util.List;
import java.util.Map;

/**
 * 考勤打卡表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-10 14:23:08
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface TBDingService extends IService<TBDing>{

    /**
    * 查询列表
    *
    * @param iPage
    * @return
    */
    IPage<TBDingCountQueryResult> query(IPage<Map> iPage, Long serviceId, String status, Long createId, String userName, Long supplierId, String custom, String sopNo, Long days);
    List<TBDingCountQueryResult> query(Long serviceId, String status, Long createId, String userName, Long supplierId, String custom, String sopNo, Long days);

    TBDingCountResult count(Long serviceId, Long createId, String userName, Long supplierId, String custom, String sopNo);
}