package com.qmth.sop.common.enums;

/**
 * @Description: enum集合
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/24
 */
public enum EnumList {

    QUALITY_PROBLEM_TYPE_ENUM(QualityProblemTypeEnum.class),

    IN_OUT_TYPE_ENUM(InOutTypeEnum.class),

    QUALITY_PROBLEM_REASON_ENUM(QualityProblemReasonEnum.class),

    IN_FLUENCE_DEGREE_ENUM(InfluenceDegreeEnum.class),

    FLOW_TYPE_ENUM(TFCustomTypeEnum.class),

    FLOW_STATUS_ENUM(FlowStatusEnum.class),

    FLOW_APPROVE_OPERATION_ENUM(FlowApproveOperationEnum.class);

    private Object obj;

    private EnumList(Object obj) {
        this.obj = obj;
    }

    public Object getObj() {
        return obj;
    }
}
